SpringBoardParserInternal::State Struct Reference documentation

SpringBoardParserInternal::State Struct Reference

Internal: the state of a SpringBoardParser. More...

## Public Member Functions
| State ()
| constructor
std::string | getDataZoneName (int id) const
| returns the name of a data zone

## Public Attributes
int | m_numPages
| the number of pages
std::map< int, MWAWEntry > | m_entriesListMap
| a map zone id to list's entry
std::map< int, MWAWEntry > | m_entries2ListMap
| a map id to the last zone entries
std::map< int, MWAWBox2i > | m_pageIdToDimensionMap
| the map pageId to page dimension
std::map< int, HeaderFooter > | m_pageIdToHeaderFooterMap
| the map pageId to header footer
std::map< std::pair< int, int >, Frame > | m_idToFrameMap
| the map (page,id) to frame map
std::map< std::pair< int, int >, Shape > | m_idToShapeMap
| the map (page,id) to shape map
std::map< std::pair< int, int >, Link > | m_idToLinkMap
| the map (page,id) to link map
std::map< int, MWAWEntry > | m_idToTextEntriesMap
| the map id to text entries
std::map< int, MWAWParagraph > | m_idToParagraphMap
| the map id to paragraph
std::map< long, long > | m_parsedZonesMap
| the list of parsed zone

## Detailed Description

Internal: the state of a SpringBoardParser.

## Constructor & Destructor Documentation

## ◆ State()

SpringBoardParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getDataZoneName()

std::string SpringBoardParserInternal::State::getDataZoneName | ( | int | id | ) | const
| inline

returns the name of a data zone

## Member Data Documentation

## ◆ m_entries2ListMap

std::map<int, MWAWEntry> SpringBoardParserInternal::State::m_entries2ListMap

a map id to the last zone entries

Referenced by State().

## ◆ m_entriesListMap

std::map<int, MWAWEntry> SpringBoardParserInternal::State::m_entriesListMap

a map zone id to list's entry

Referenced by State().

## ◆ m_idToFrameMap

std::map<std::pair<int, int>, Frame> SpringBoardParserInternal::State::m_idToFrameMap

the map (page,id) to frame map

Referenced by State().

## ◆ m_idToLinkMap

std::map<std::pair<int, int>, Link> SpringBoardParserInternal::State::m_idToLinkMap

the map (page,id) to link map

Referenced by State().

## ◆ m_idToParagraphMap

std::map<int, MWAWParagraph> SpringBoardParserInternal::State::m_idToParagraphMap

the map id to paragraph

Referenced by State().

## ◆ m_idToShapeMap

std::map<std::pair<int, int>, Shape> SpringBoardParserInternal::State::m_idToShapeMap

the map (page,id) to shape map

Referenced by State().

## ◆ m_idToTextEntriesMap

std::map<int, MWAWEntry> SpringBoardParserInternal::State::m_idToTextEntriesMap

the map id to text entries

Referenced by State().

## ◆ m_numPages

int SpringBoardParserInternal::State::m_numPages

the number of pages

Referenced by State().

## ◆ m_pageIdToDimensionMap

std::map<int, MWAWBox2i> SpringBoardParserInternal::State::m_pageIdToDimensionMap

the map pageId to page dimension

Referenced by State().

## ◆ m_pageIdToHeaderFooterMap

std::map<int, HeaderFooter> SpringBoardParserInternal::State::m_pageIdToHeaderFooterMap

the map pageId to header footer

Referenced by State().

## ◆ m_parsedZonesMap

std::map<long, long> SpringBoardParserInternal::State::m_parsedZonesMap

the list of parsed zone

Referenced by State().

The documentation for this struct was generated from the following file:

- SpringBoardParser.cxx